List Lines of Receipt

Get lines of a receipt, with pagination data

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

receiptIdstringRequired

Query parameters

offsetintegerOptional>=0

Pagination offset default: 0

limitintegerOptional1-250Defaults to 10

Pagination limit default: 10

orderByenumOptionalDefaults to DESC

Allow: ‘DESC’, ‘ASC’

Allowed values:
paymentStatus[]list of enumsOptional

Payment processing status. 0 means ‘Incomplete’ status, 1 means ‘Awaiting Processing’ status, 2 means ‘Processing’ status, 3 means ‘Completed’ status, 4 means ‘Refunded’ status

Allowed values:
qstringOptional
You can perform keyword queries on fields corresponding to the value of "searchBy" or, if "searchBy" is empty, on all fields supported by "searchBy".
searchByenumOptional
The response search by which field
sortByenumOptionalDefaults to createdAt
The response sorted by which field

Response

OK
codedouble
datalist of objects
metaobject

Errors

404
Not Found Error